Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config
Interface RS232Const

All Known Subinterfaces:
  JposEntryConst

public interface RS232Const

Defines constants for RS232 buses

Since:
  1.3 (Washington DC 2001 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Field Summary
`static java.lang.String` | `DEFAULT_RS232_BAUD_RATE_VALUE` The RS232 "baudRate" property default value (type == int [...])
`static java.lang.String` | `DEFAULT_RS232_DATA_BITS_VALUE` The RS232 "dataBits" property default value (type == int list [4, 5, 6, 7, 8])
`static java.lang.String` | `DEFAULT_RS232_FLOW_CONTROL_VALUE` The RS232 "flowControl" property default value (type == String list [Xon/Xoff, Hardware, None])
`static java.lang.String` | `DEFAULT_RS232_PARITY_VALUE` The RS232 "parity" property default value (type == String list [Even, Odd, None, Mark, Space])
`static java.lang.String` | `DEFAULT_RS232_PORT_NAME_VALUE` The RS232 "portName" property default value
`static java.lang.String` | `DEFAULT_RS232_STOP_BITS_VALUE` The RS232 "stopBits" property default value (type == String list [1, 1.5, 2])
`static java.lang.String` | `RS232_BAUD_RATE_PROP_NAME` The RS232 "baudRate" property (type == int [...])
`static java.lang.String[]` | `RS232_BAUD_RATE_VALUES` The RS232 "baudRate" property values as Integer objects (typical values)
`static java.lang.String` | `RS232_DATA_BITS_4` The RS232 "dataBits" property value of 4
`static java.lang.String` | `RS232_DATA_BITS_5` The RS232 "dataBits" property value of 5
`static java.lang.String` | `RS232_DATA_BITS_6` The RS232 "dataBits" property value of 6
`static java.lang.String` | `RS232_DATA_BITS_7` The RS232 "dataBits" property value of 7
`static java.lang.String` | `RS232_DATA_BITS_8` The RS232 "dataBits" property value of 8
`static java.lang.String` | `RS232_DATA_BITS_PROP_NAME` The RS232 "dataBits" property (type == int list [4, 5, 6, 7, 8])
`static java.lang.String[]` | `RS232_DATA_BITS_VALUES` The RS232 "dataBits" property values as Integer objects
`static java.lang.String` | `RS232_FLOW_CONTROL_HARDWARE` The RS232 "flowControl" property value of "Hardware"
`static java.lang.String` | `RS232_FLOW_CONTROL_NONE` The RS232 "flowControl" property value of "None"
`static java.lang.String` | `RS232_FLOW_CONTROL_PROP_NAME` The RS232 "flowControl" property (type == String list [Xon/Xoff, Hardware, None])
`static java.lang.String[]` | `RS232_FLOW_CONTROL_VALUES` The RS232 "flowControl" property values as Strin objects
`static java.lang.String` | `RS232_FLOW_CONTROL_XON_XOFF` The RS232 "flowControl" property value of "Xon/Xoff"
`static java.lang.String` | `RS232_PARITY_EVEN` The RS232 "parity" property value of "Even"
`static java.lang.String` | `RS232_PARITY_MARK` The RS232 "parity" property value of "Mark"
`static java.lang.String` | `RS232_PARITY_NONE` The RS232 "parity" property value of "None"
`static java.lang.String` | `RS232_PARITY_ODD` The RS232 "parity" property value of "Odd"
`static java.lang.String` | `RS232_PARITY_PROP_NAME` The RS232 "parity" property (type == String list [Even, Odd, None, Mark, Space])
`static java.lang.String` | `RS232_PARITY_SPACE` The RS232 "parity" property value of "Space"
`static java.lang.String[]` | `RS232_PARITY_VALUES` The RS232 "parity" property values as String objects
`static java.lang.String` | `RS232_PORT_NAME_PROP_NAME` The RS232 "portName" property (type == String)
`static java.lang.String[]` | `RS232_PROPS` Array of all RS232 properties
`static java.lang.String` | `RS232_STOP_BITS_1` The RS232 "stopBits" property value of 1
`static java.lang.String` | `RS232_STOP_BITS_1_5` The RS232 "stopBits" property value of 1.5
`static java.lang.String` | `RS232_STOP_BITS_2` The RS232 "stopBits" property value of 2
`static java.lang.String` | `RS232_STOP_BITS_PROP_NAME` The RS232 "stopBits" property (type == String list [1, 1.5, 2])
`static java.lang.String[]` | `RS232_STOP_BITS_VALUES` The RS232 "stopBits" property values as Strin objects

Field Detail

### RS232_PORT_NAME_PROP_NAME

    public static final java.lang.String RS232_PORT_NAME_PROP_NAME

  The RS232 "portName" property (type == String)

### RS232_BAUD_RATE_PROP_NAME

    public static final java.lang.String RS232_BAUD_RATE_PROP_NAME

  The RS232 "baudRate" property (type == int [...])

### RS232_DATA_BITS_PROP_NAME

    public static final java.lang.String RS232_DATA_BITS_PROP_NAME

  The RS232 "dataBits" property (type == int list [4, 5, 6, 7, 8])

### RS232_PARITY_PROP_NAME

    public static final java.lang.String RS232_PARITY_PROP_NAME

  The RS232 "parity" property (type == String list [Even, Odd, None, Mark, Space])

### RS232_STOP_BITS_PROP_NAME

    public static final java.lang.String RS232_STOP_BITS_PROP_NAME

  The RS232 "stopBits" property (type == String list [1, 1.5, 2])

### RS232_FLOW_CONTROL_PROP_NAME

    public static final java.lang.String RS232_FLOW_CONTROL_PROP_NAME

  The RS232 "flowControl" property (type == String list [Xon/Xoff, Hardware, None])

### RS232_PROPS

    public static final java.lang.String[] RS232_PROPS

  Array of all RS232 properties
  Since:
    1.3 (Washington 2001 meeting)

### RS232_BAUD_RATE_VALUES

    public static final java.lang.String[] RS232_BAUD_RATE_VALUES

  The RS232 "baudRate" property values as Integer objects (typical values)

### RS232_DATA_BITS_4

    public static final java.lang.String RS232_DATA_BITS_4

  The RS232 "dataBits" property value of 4

### RS232_DATA_BITS_5

    public static final java.lang.String RS232_DATA_BITS_5

  The RS232 "dataBits" property value of 5

### RS232_DATA_BITS_6

    public static final java.lang.String RS232_DATA_BITS_6

  The RS232 "dataBits" property value of 6

### RS232_DATA_BITS_7

    public static final java.lang.String RS232_DATA_BITS_7

  The RS232 "dataBits" property value of 7

### RS232_DATA_BITS_8

    public static final java.lang.String RS232_DATA_BITS_8

  The RS232 "dataBits" property value of 8

### RS232_DATA_BITS_VALUES

    public static final java.lang.String[] RS232_DATA_BITS_VALUES

  The RS232 "dataBits" property values as Integer objects

### RS232_PARITY_EVEN

    public static final java.lang.String RS232_PARITY_EVEN

  The RS232 "parity" property value of "Even"

### RS232_PARITY_ODD

    public static final java.lang.String RS232_PARITY_ODD

  The RS232 "parity" property value of "Odd"

### RS232_PARITY_NONE

    public static final java.lang.String RS232_PARITY_NONE

  The RS232 "parity" property value of "None"

### RS232_PARITY_MARK

    public static final java.lang.String RS232_PARITY_MARK

  The RS232 "parity" property value of "Mark"

### RS232_PARITY_SPACE

    public static final java.lang.String RS232_PARITY_SPACE

  The RS232 "parity" property value of "Space"

### RS232_PARITY_VALUES

    public static final java.lang.String[] RS232_PARITY_VALUES

  The RS232 "parity" property values as String objects

### RS232_STOP_BITS_1

    public static final java.lang.String RS232_STOP_BITS_1

  The RS232 "stopBits" property value of 1

### RS232_STOP_BITS_1_5

    public static final java.lang.String RS232_STOP_BITS_1_5

  The RS232 "stopBits" property value of 1.5

### RS232_STOP_BITS_2

    public static final java.lang.String RS232_STOP_BITS_2

  The RS232 "stopBits" property value of 2

### RS232_STOP_BITS_VALUES

    public static final java.lang.String[] RS232_STOP_BITS_VALUES

  The RS232 "stopBits" property values as Strin objects

### RS232_FLOW_CONTROL_XON_XOFF

    public static final java.lang.String RS232_FLOW_CONTROL_XON_XOFF

  The RS232 "flowControl" property value of "Xon/Xoff"

### RS232_FLOW_CONTROL_HARDWARE

    public static final java.lang.String RS232_FLOW_CONTROL_HARDWARE

  The RS232 "flowControl" property value of "Hardware"

### RS232_FLOW_CONTROL_NONE

    public static final java.lang.String RS232_FLOW_CONTROL_NONE

  The RS232 "flowControl" property value of "None"

### RS232_FLOW_CONTROL_VALUES

    public static final java.lang.String[] RS232_FLOW_CONTROL_VALUES

  The RS232 "flowControl" property values as Strin objects

### DEFAULT_RS232_PORT_NAME_VALUE

    public static final java.lang.String DEFAULT_RS232_PORT_NAME_VALUE

  The RS232 "portName" property default value

### DEFAULT_RS232_BAUD_RATE_VALUE

    public static final java.lang.String DEFAULT_RS232_BAUD_RATE_VALUE

  The RS232 "baudRate" property default value (type == int [...])

### DEFAULT_RS232_DATA_BITS_VALUE

    public static final java.lang.String DEFAULT_RS232_DATA_BITS_VALUE

  The RS232 "dataBits" property default value (type == int list [4, 5, 6, 7, 8])

### DEFAULT_RS232_PARITY_VALUE

    public static final java.lang.String DEFAULT_RS232_PARITY_VALUE

  The RS232 "parity" property default value (type == String list [Even, Odd, None, Mark, Space])

### DEFAULT_RS232_STOP_BITS_VALUE

    public static final java.lang.String DEFAULT_RS232_STOP_BITS_VALUE

  The RS232 "stopBits" property default value (type == String list [1, 1.5, 2])

### DEFAULT_RS232_FLOW_CONTROL_VALUE

    public static final java.lang.String DEFAULT_RS232_FLOW_CONTROL_VALUE

  The RS232 "flowControl" property default value (type == String list [Xon/Xoff, Hardware, None])

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details